point_types.h File Reference
Module common
`#include <pcl/pcl_macros.h>`
`#include <bitset>`
`#include <pcl/register_point_struct.h>`
`#include <boost/mpl/contains.hpp>`
`#include <boost/mpl/fold.hpp>`
`#include <boost/mpl/vector.hpp>`
`#include <pcl/impl/point_types.hpp>`

Go to the source code of this file.

## Detailed Description

Defines all the PCL implemented PointT point type structures.

Definition in file point_types.h.

## Classes

struct | pcl::Histogram< N >
| A point structure representing an N-D histogram. More...

## Namespaces

| pcl

## Typedefs

typedef std::bitset< 32 > | pcl::BorderTraits
| Data type to store extended information about a transition from foreground to backgroundSpecification of the fields for BorderDescription::traits. More...

## Enumerations

enum

pcl::BorderTrait {
pcl::BORDER_TRAIT__OBSTACLE_BORDER, pcl::BORDER_TRAIT__SHADOW_BORDER, pcl::BORDER_TRAIT__VEIL_POINT, pcl::BORDER_TRAIT__SHADOW_BORDER_TOP,
pcl::BORDER_TRAIT__SHADOW_BORDER_RIGHT, pcl::BORDER_TRAIT__SHADOW_BORDER_BOTTOM, pcl::BORDER_TRAIT__SHADOW_BORDER_LEFT, pcl::BORDER_TRAIT__OBSTACLE_BORDER_TOP,
pcl::BORDER_TRAIT__OBSTACLE_BORDER_RIGHT, pcl::BORDER_TRAIT__OBSTACLE_BORDER_BOTTOM, pcl::BORDER_TRAIT__OBSTACLE_BORDER_LEFT, pcl::BORDER_TRAIT__VEIL_POINT_TOP,
pcl::BORDER_TRAIT__VEIL_POINT_RIGHT, pcl::BORDER_TRAIT__VEIL_POINT_BOTTOM, pcl::BORDER_TRAIT__VEIL_POINT_LEFT
}

| Specification of the fields for BorderDescription::traits. More...